%global momorel 1
Name: htop
Version: 1.0.3
Release: %{momorel}m%{?dist}
Summary: Interactive process viewer
Group: Applications/System
License: GPL+
URL: http://hisham.hm/htop/
Source0: http://hisham.hm/htop/releases/%{version}/%{name}-%{version}.tar.gz
NoSource: 0

BuildRequires: desktop-file-utils
BuildRequires: ncurses-devel
BuildRequires: python
BuildRequires: libtool

%description
htop is an interactive text-mode process viewer for Linux, similar to
top(1).

%prep
%setup -q
sed -i s#"INSTALL_DATA = @INSTALL_DATA@"#"INSTALL_DATA = @INSTALL_DATA@ -p"# Makefile.in

%build
autoreconf -v -f -i

%configure \
	--enable-openvz \
	--enable-vserver \
	--enable-taskstats \
	--enable-unicode \
	--enable-native-affinity \
	--enable-cgroup \
	--enable-oom

%make 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#remove empty direcories
rm -rf %{buildroot}%{libdir}
rm -rf %{buildroot}%{includedir}

# remove desktop file
rm -rf %{buildroot}%{_datadir}/applications/

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/htop
%{_datadir}/pixmaps/htop.png
%{_mandir}/man1/htop.1*

%changelog
* Thu Nov 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.3-1m)
- import from fedora

